package aktbus.demo.advanced;

import aktbus.core.*;
import java.io.*;
import org.xml.sax.*;

public class TestReceiveCustomisedMessage
{
public static void main(String argv[])
{
CustomisedMessageReceiver a;
CustomisedMessage m;

if (argv.length!=1)
	{
	System.err.println("usage: java TestAktBusReceiver <port>");
	System.exit(0);
	}
try	{
	a=new CustomisedMessageReceiver(Integer.parseInt(argv[0]));		//get port no.
	System.out.println("waiting for AktMessage at port:"+argv[0]);
	m=(CustomisedMessage)a.receive(0,java.lang.Class.forName("aktbus.demo.advanced.CustomisedMessage")).message;			//wait & receive
	m.write(System.out);						//print message
	} catch (SAXException e)
		{
		System.err.println("Error in parsing XML...");
		System.err.println(e.toString());
		}
	catch (IOException e)
		{
		System.err.println("Error in I/O...");
		System.err.println(e.toString());
		}
	catch (Exception e)
		{
		System.err.println("Other error:"+e.toString());
		System.out.println("ERROR in receiving");
		}
}

}

