package aktbus.demo.advanced;
import aktbus.core.*;
import org.xml.sax.*;
import java.net.*;
import java.lang.*;

/**
* This example sends a CustomisedMessage.
*/
public class TestSendCustomisedMessage
{
public static void main(String argv[])
{
CustomisedMessage c;
URL sender,receiver;

if (argv.length!=1)
	{
	System.err.println("usage: java -classpath ... TestSendCustomisedMessage <url>");
	System.exit(0);
	}
try	{
	sender=new URL("http://dummy.host/akt/agent/me");		//create sender & receiver URIs
	receiver=new URL(argv[0]);
	c=new CustomisedMessage(sender,receiver,"forall","var(a)","a predicate");	//create a CustomisedMessage
	System.out.println("Message:");
	System.out.println("========");
	c.write(System.out);
	System.out.println("========");
	c.send();
	System.out.println("***OK: message sent");
	} catch (Exception e)
		{
		System.err.println("***ERROR: "+e.toString());
		}
}

}

