package aktbus.demo.simple;
import aktbus.core.*;
import org.xml.sax.*;
import java.net.*;

//
// test sending an AktMessage
//

public class TestPiggyPackedSender
{
public static void main(String argv[])
{
AktMessage x;
String receiver;
URL receiver_uri;

if (argv.length!=2)
	{
	System.err.println("usage: java -classpath ... TestPiggyPackedSender <url> <message content>");
	System.exit(0);
	}
receiver=argv[0];
System.out.print("Receiver URI:"+receiver);
try	{
	receiver_uri=new URL(receiver);
	try	{
		x=new AktMessage(null,receiver_uri,true,argv[1]);
		} catch (SAXException e)
			{
			x=new AktMessage(null,receiver_uri,false,argv[1]);
			}
	System.out.println("Message:");
	System.out.println("========");
	x.write(System.out);
	System.out.println("====reply====");
	x.send_and_receive().write(System.out);		//send & receive an AktMessage
	System.out.println("***OK: message sent");
	} catch (Exception e)
		{
		System.err.println("***ERROR: "+e.toString());
		}
}

}

