package aktbus.demo.simple;
import aktbus.core.*;
import org.xml.sax.*;
import java.net.*;

//
// test sending an AktMessage
//

public class TestSendAktMessage
{
public static void main(String argv[])
{
AktMessage x;
String sender,receiver;
URL sender_uri,receiver_uri;

if (argv.length!=2)
	{
	System.err.println("usage: java -classpath ... TestSendAktMessage <url> <message content>");
	System.exit(0);
	}
sender="http://dummy.host/akt/agent/me";
receiver=argv[0];
System.out.print("Receiver URI:"+receiver);
try	{
	sender_uri=new URL(sender);
	receiver_uri=new URL(receiver);
	try	{
		x=new AktMessage(sender_uri,receiver_uri,true,argv[1]);
		} catch (SAXException e)
			{
			x=new AktMessage(sender_uri,receiver_uri,false,argv[1]);
			}
	System.out.println("Message:");
	System.out.println("========");
	x.write(System.out);
	System.out.println("========");
	x.send();
	System.out.println("***OK: message sent");
	} catch (Exception e)
		{
		System.err.println("***ERROR: "+e.toString());
		}
}

}

