package aktbus.kqml.demo;
import aktbus.kqml.*;
import com.sun.xml.tree.*;
import org.xml.sax.*;
import java.io.*;
import java.util.*;

/**
* Receive a KqmlMessage by listening to a certain port.
*/
public class TestKqmlReceive
{
public static void main(String argv[])
{
KqmlMessageReceiver r;
KqmlMessage m;
Map km;
KqmlParam content_pm;

try	{
	r=new KqmlMessageReceiver(Integer.parseInt(argv[0]));		//create KqmlMessageReceiver, get port from 1st arg
	m=(KqmlMessage)r.receive_message(0,java.lang.Class.forName("aktbus.kqml.KqmlMessage"));		//receive KqmlMessage
	System.out.println("KQML message received:");
	m.write(System.out);
	km=m.get_parameter_map();					//get Map of KqmlParam
	content_pm=(KqmlParam)km.get("content");			//get KqmlParam w/ the name "content"
	System.out.println("Content of KQML message:");
	System.out.println(m.get_subtree_text((ElementNode)content_pm.value));
	} catch (Exception e)
		{
		System.out.println("ERROR:"+e.toString());
		}
}

}

