package aktbus.kqml.demo;
import aktbus.kqml.*;
import com.sun.xml.tree.*;
import org.xml.sax.*;
import java.io.*;
import java.util.*;

/**
* Composes & send a KqmlMessage.
*/
public class TestKqmlSend
{
public static void main(String argv[])
{
KqmlMessage k;
Map kp;
Iterator i;
Map param_map;
XmlDocument x;

try	{
	//
	// create the content as a XmlDocument
	//
	x=XmlDocument.createXmlDocument(new InputSource(new StringReader("<x><y>hello</y><z>there</z></x>")),false);
	//
	// create HashMap of KqmlParam, put param in, then create KqmlMessage
	//
	kp=new HashMap();
	kp.put("language",new KqmlParam("language","prolog"));
	kp.put("sender",new KqmlParam("sender",argv[0]));		//sender-URI from 1st arg
	kp.put("receiver",new KqmlParam("receiver",argv[1]));		//receiver-URI from 2nd arg
	kp.put("content",new KqmlParam("content",x));
	k=new KqmlMessage("tell",kp);
	//
	// sender KqmlMessage to receiver
	//
	k.send();
	} catch (Exception e)
		{
		System.out.println("usage: java -classpath ... TestKqmlSend <sender-URI> <receiver-URI>");
		System.out.println("ERROR:"+e.toString());
		}
}

}

