package aktbus.demo.simple;
import aktbus.core.*;

//
// test receiving an AktMessage by socket
//
import java.io.*;
import org.xml.sax.*;

public class TestAktBusReceiver
{
public static void main(String argv[])
{
AktBusReceiver a;
AktMessage m;

if (argv.length!=1)
	{
	System.err.println("usage: java TestAktBusReceiver <port>");
	System.exit(0);
	}
try	{
	a=new AktBusReceiver(Integer.parseInt(argv[0]));		//get port no.
	System.out.println("waiting for AktMessage at port:"+argv[0]);
	m=a.receive().message;						//wait & receive
	m.write(System.out);						//print message
	} catch (SAXException e)
		{
		System.err.println("Error in parsing XML...");
		System.err.println(e.toString());
		}
	catch (IOException e)
		{
		System.err.println("Error in I/O...");
		System.err.println(e.toString());
		}
	catch (Exception e)
		{
		System.err.println("Other error...");
		System.out.println("ERROR in receiving");
		}
}

}

