package aktbus.demo.simple;

import aktbus.core.*;
import java.lang.*;
import java.net.*;
import org.xml.sax.*;

public class TestPrintAktMessage
{
public static void main(String argv[])
{
URL s,r;
AktMessage a;
String c;

try	{
	s=new URL(argv[0]);					//create URL object from string
	r=new URL(argv[1]);
	c=argv[2];
	try	{
		a=new AktMessage(s,r,true,c);			//try to parse message content as XML
		} catch (SAXException e)
			{
			a=new AktMessage(s,r,false,c);		//if it fails, try to treat it as plain text
			}
	a.write(System.out);					//print AKT message to stdout
	} catch (MalformedURLException e)
		{
		System.err.println("ERROR: sender/receiver URI is invalid");
		}
	catch (SAXException e)
		{
		System.err.println("ERROR: message-content is invalid");
		}
	catch (IndexOutOfBoundsException e)
		{
		System.err.println("USAGE: java TestPrintAktMessage <sender URI> <receiver URI> <message-content>");
		}
	catch (Exception e)
		{
		System.err.println(e.toString());
		}
}
}

