//
// POST forwarding servlet for Applet
//

import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;
//import com.sun.xml.tree.*;
import org.xml.sax.*;

public class AktBusForwardingServlet extends HttpServlet
{

protected void doGet(HttpServletRequest req,HttpServletResponse resp) throws ServletException, java.io.IOException
{
PrintWriter out;

resp.setContentType("text/html");
out=resp.getWriter();			//get writer
out.println("<html><title>AktBus Relaying Servlet</title><body>");
out.println("This servlet relays AKT-Bus messages.<p>");
out.println("method:"+req.getMethod()+"<p>");
out.println("query string:"+req.getQueryString()+"<p>");
out.println("path translated:"+req.getPathTranslated()+"<p>");
out.println("path info:"+req.getPathInfo()+"<p>");
out.println("</body></html>");
}


//
//
//
public void doPost(HttpServletRequest req,HttpServletResponse resp)
{
AktMessage am;

try	{
	am=get_message(req,resp);
	am.send();
	} catch (Exception e)
		{
		System.err.println(e.toString());
		}
}


private AktMessage get_message(HttpServletRequest req,HttpServletResponse resp) throws ServletException,IOException,SAXException,Exception
{

AktMessage am;

PrintWriter out;
BufferedReader in;
String target_system;
int message_length;
String body;
char buffer[];
String host;
int port;
AktMessage a;
String simple_message;

	//
	// read POST body
	//
	message_length=req.getContentLength();			//get content-length
	buffer=new char[message_length];			//create buffer for reading message body
	in=req.getReader();					//get reader
	in.read(buffer,0,message_length);			//read message
	body=new String(buffer);				//create string from body

	//
	// send response
	//
	resp.setContentType("text/plain");			//set response type
	out=resp.getWriter();					//get writer
	out.println("ok");
	out.close();
	in.close();
	return(new AktMessage(body));				//create AktMessage from body

}

}

