//
// incoming gate servlet for Linda
//

import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;
import Linja.*;

public class AktBusLindaInGateServlet extends HttpServlet
{
protected void doGet(HttpServletRequest req,HttpServletResponse resp) throws ServletException, java.io.IOException
{
PrintWriter out;

resp.setContentType("text/html");
out=resp.getWriter();			//get writer
out.println("<html><title>AktBus Relaying Servlet</title><body>");
out.println("This servlet relays AKT-Bus messages.<p>");
out.println("method:"+req.getMethod()+"<p>");
out.println("query string:"+req.getQueryString()+"<p>");
out.println("path translated:"+req.getPathTranslated()+"<p>");
out.println("path info:"+req.getPathInfo()+"<p>");
out.println("</body></html>");
}


//
//
//
public void doPost(HttpServletRequest req,HttpServletResponse resp) throws ServletException, java.io.IOException
{
PrintWriter out;
BufferedReader in;
String target_system;
int message_length;
String body;
char buffer[];
String host;
int port;
AktMessage a;
String simple_message;
LindaClient cl;

try	{
	target_system=req.getPathInfo();			//get Linda agent name
	message_length=req.getContentLength();			//get content-length
	buffer=new char[message_length];			//create buffer for reading message body
	in=req.getReader();					//get reader
	in.read(buffer,0,message_length);			//read message
	body=new String(buffer);				//create string from body


	resp.setContentType("text/plain");			//set response type
	out=resp.getWriter();					//get writer
	out.println("ok");
	out.close();
	in.close();
//	System.err.println("target system:"+target_system);
//	System.err.println("message body:"+body);
	host=req.getParameter("host");				//get linda host
	port=Integer.parseInt(req.getParameter("port"));	//get linda port
	System.err.println("host+port:"+host+","+port);
	System.err.println("creating AKT message...");
//	System.err.println(body);
	a=new AktMessage("<akt>hello</akt>");					//create AktMessage from body
	System.err.println("finding message content...");
//	simple_message=a.find_node("aktbus:hasSimpleMessage").getNodeValue();	//get simple message content
//	cl=new LindaClient(host,port);				//create Linda client
//	System.err.println("connecting to Linda server...");
//	cl.connect();
//	cl.out("msg("+target_system+","+simple_message+")");
//	cl.disconnect();
//	System.err.println("diconnect from Linda server...");
	} catch (Exception e)
			{
			System.err.println("ERROR:"+e.toString());
			}
}


}

