package aktbus.core;

/**
* The <em>AktMessageWithPath</em> class is used to encapsulate information in
* an HTTP request, which usually contains a request path and
* an <em>AktMessage</em> in its body.
* An <em>AktMessageWithPath</em> object is usually created as a result of
* receiving an <em>AktMessage</em> by the HTTP protocol.
*/

public class AktMessageWithPath
{

/**
* The request path in a HTTP request.
*/
public String path;

/**
* The <em>AktMessage</em> object in a HTTP request.
*/
public AktMessageInterface message;
}

