import aktbus.core.*;

import java.io.*;
import java.util.*;

import com.hp.hpl.mesa.rdf.jena.mem.ModelMem;
import com.hp.hpl.mesa.rdf.jena.model.*;
import com.hp.hpl.mesa.rdf.jena.vocabulary.*;
import com.hp.hpl.mesa.rdf.jena.common.PropertyImpl;

public class TestXmlMessage {

public static void main(String argv[]) {
    if (argv.length!=1)
	{
	    System.err.println("usage: java TestXmlMessage <receiver>");
	    System.exit(0);
	}
    try {
	AktMessage msg = new AktMessage("http://sender.com", argv[0], "some message");
	StringWriter sw2 = new StringWriter();
	msg.ugly_write(sw2);
	sw2.close();	
	System.out.println("\n\n" + sw2.toString());
	System.out.println("\nReceiver: " + msg.get_receiver()); 
	System.out.println("Sender: " + msg.get_sender());
	System.out.println("Content: " + msg.get_simple_message());
	
	System.out.println("Sending message to " + msg.get_receiver());
	msg.send();

	
	msg.ugly_write(System.out);

	}
	catch (IOException e)
		{
		System.err.println("Error in I/O...");
		System.err.println(e.toString());
		}
	 catch (Exception e)
		{
		System.err.println("***ERROR: "+e.toString());
		}
}

}
